package org.ts.ddcs.DataSaveProcesser;

import org.ts.ddcs.DataTemplate.DataTemplateInterface;
import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;

@SuppressWarnings("all")
public class DataSaveProcesserC40 extends DataSaveProcesser {
    @Override
    public void Save(DataTemplateInterface dataTemplateInterface) {
        super.Save(dataTemplateInterface);
        String rtucode = BytesHelp.byte2HexStr(dataTemplateInterface.RtuCode());
        LogHelper.info("SAVE:" + rtucode +" "+dataTemplateInterface.GetFeture());
    }
}
